MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030745Open CASCADE[OCCT] OCCT:Visualizationpublic2019-05-25 18:582019-06-01 13:59
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030745: Visualization, TKOpenGl - fix initialization of GLES3 context
DescriptionFor proper initialization of GLES3, EGL_CONTEXT_CLIENT_VERSION should be set appropriately within context attributes.
Otherwise, EGL would return GLES2 instead.

This is not an issue for most EGL implementations - Mesa (Linux) and real Android devices.
But some strict implementations (ANGLE) initialize useless GLES2 if GLES3 is not explicitly requested.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028098newkgv Open CASCADE Visualization - errors in tests when using OpenGL ES (ANGLE) 
related to 0030744verifiedbugmaster Community Visualization, TKOpenGl - stipple line does not work on OpenGL ES 2.0 
related to 0030746assignedbugmaster Open CASCADE Jenkins - USE_GLES2 has no effect on Windows builds 
child of 0025147closedbugmaster Open CASCADE Visualization, TKOpenGl - support EGL as alternative to GLX 

-  Notes
(0084615)
git (administrator)
2019-05-25 18:59

Branch CR30745 has been created by kgv.

SHA-1: bde4d3218276474cd4dd31c51cd12d0cfe79758b


Detailed log of new commits:

Author: kgv
Date: Sat May 25 18:59:17 2019 +0300

    0030745: Visualization, TKOpenGl - fix initialization of GLES3 context
    
    OpenGl_GraphicDriver::InitContext() now tries to initialize GLES3 context
    (EGL_CONTEXT_CLIENT_VERSION) and then fallback to GLES2.
(0084616)
git (administrator)
2019-05-25 19:41

Branch CR30745 has been updated forcibly by kgv.

SHA-1: aadf40549f46c00f6b48e92ad7e95a7eec5aec56
(0084618)
git (administrator)
2019-05-25 20:22

Branch CR30745 has been updated forcibly by kgv.

SHA-1: d9782c6d398d2942fa11477c57c1aa2cb03248d6
(0084644)
kgv (developer)
2019-05-26 13:31

Output with the patch:
Draw[7]> vglinfo
OpenGL info:
  EGLVersion: 1.4 (ANGLE 2.1.0.46ad513f4e5b)
  EGLVendor: Google Inc. (adapter LUID: 000000000000f201)
  EGLClientAPIs: OpenGL_ES
  GLvendor: Google Inc.
  GLdevice: ANGLE (Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0)
  GLversion: OpenGL ES 3.0 (ANGLE 2.1.0.46ad513f4e5b)
  GLSLversion: OpenGL ES GLSL ES 3.00 (ANGLE 2.1.0.46ad513f4e5b)
  Max texture size: 16384
  Max FBO dump size: 16384x16384
  Max combined texture units: 32
  Max MSAA samples: 0
  Viewport: 409x409
  ResolutionRatio: 1
(0084647)
kgv (developer)
2019-05-26 13:39

Patch is ready for review.
(0084724)
san (developer)
2019-05-30 17:28

Branch CR30745 reviewed without remarks.
(0084732)
bugmaster (administrator)
2019-05-31 12:43

Fix was tested on WEEK-22 branch

Combination -
OCCT branch : WEEK-22
master SHA - edc4ba21c408a805d1474ea626ad9dd054db8f4c
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : WEEK-22 SHA - f8d0285f17a87f418666028ea2a8af446161bcc4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16275.920000000062 / 16292.829999999974 [-0.10%]
Products
Total CPU difference: 10511.40000000006 / 10481.610000000046 [+0.28%]
Windows-64-VC14:
OCCT
Total CPU difference: 17704.78125 / 17706.828125 [-0.01%]
Products
Total CPU difference: 12068.78125 / 12047.171875 [+0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084752)
git (administrator)
2019-06-01 13:59

Branch CR30745 has been deleted by inv.

SHA-1: d9782c6d398d2942fa11477c57c1aa2cb03248d6

- Related Changesets
occt: master 9aceb23d
Timestamp: 2019-05-25 15:59:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030745: Visualization, TKOpenGl - fix initialization of GLES3 context

OpenGl_GraphicDriver::InitContext() now tries to initialize GLES3 context
(EGL_CONTEXT_CLIENT_VERSION) and then fallback to GLES2.
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-05-25 18:58 kgv New Issue
2019-05-25 18:58 kgv Assigned To => kgv
2019-05-25 18:59 git Note Added: 0084615
2019-05-25 19:02 kgv Relationship added related to 0028098
2019-05-25 19:07 kgv Relationship added child of 0025147
2019-05-25 19:07 kgv Product Version 7.3.0 => 6.8.0
2019-05-25 19:08 kgv Relationship added related to 0030744
2019-05-25 19:41 git Note Added: 0084616
2019-05-25 19:46 kgv Description Updated View Revisions
2019-05-25 19:46 kgv Description Updated View Revisions
2019-05-25 20:22 git Note Added: 0084618
2019-05-26 13:31 kgv Note Added: 0084644
2019-05-26 13:39 kgv Note Added: 0084647
2019-05-26 13:39 kgv Assigned To kgv => san
2019-05-26 13:39 kgv Status new => resolved
2019-05-27 13:53 kgv Relationship added related to 0030746
2019-05-30 17:28 san Note Added: 0084724
2019-05-30 17:28 san Assigned To san => bugmaster
2019-05-30 17:28 san Status resolved => reviewed
2019-05-31 12:41 bugmaster Test case number => Not required
2019-05-31 12:41 bugmaster Note Added: 0084731
2019-05-31 12:41 bugmaster Status reviewed => tested
2019-05-31 12:42 bugmaster Note Deleted: 0084731
2019-05-31 12:43 bugmaster Note Added: 0084732
2019-06-01 13:50 bugmaster Changeset attached => occt master 9aceb23d
2019-06-01 13:50 bugmaster Status tested => verified
2019-06-01 13:50 bugmaster Resolution open => fixed
2019-06-01 13:59 git Note Added: 0084752


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker